/* avr-gcc -c -mmcu=atmega32 -O0 nopdemo.c -o nopdemo.atmega32
 * avr-objdump --disassemble nopdemo.atmega32 */

#include <inttypes.h>
#include <avr/io.h>
#include <avr/cpufunc.h>

uint8_t readback(uint8_t x) {
    PORTB = x;
    /* We need to wait one cycle until we can read back PINB. See fig. 25 of
     * ATmega32 data sheet. */
    _NOP();
    return PINB;
}
