#include <avr/io.h>

uint8_t uart_recv() {
    /* Busy wait until we received data, i.e., the Receive Complete (RXC)
     * flag is set. */
    while (!(UCSRA & (1 << RXC)));

    /* Read the received data from the buffer. */
    return UDR;
}
