#include <fcntl.h>
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/mman.h>

void gpio_access() {
    int gpiofd = open("/dev/gpiomem", O_RDWR);
    if (gpiofd < 0) {
        perror("Cannot open /dev/gpiomem");
        exit(EXIT_FAILURE);
    }

    void* gpiomap = mmap(NULL, 4096, PROT_READ | PROT_WRITE, MAP_SHARED, gpiofd, 0);
    if (gpiomap == MAP_FAILED) {
        perror("Cannot mmap gpio opened from /dev/mem");
        exit(EXIT_FAILURE);
    }

    /* Now we can operate on gpiomap memory... */
}
